# Using conda to reproduce the virtual environments used in the paper

Conda can be used to create a virtual environment for python with all the required packages to reproduce the results of the paper **Mach-Zehnder Modulator Output in Time and Frequency Domain - Calculation and Experimental Confirmation** by S. Vervoort, Y. Saalberg, and M Wolff.
To install *Anaconda* or *Miniconda* follow the installation instructions [here](https://conda.io/projects/conda/en/latest/user-guide/install/index.html).

After installation, you can use the following command to create the virtual environment
```bash
conda env create -f environment.yml
conda activate photonics-vervoort
```

To remove the virtual environment use `conda env remove`
```bash
conda env remove -n photonics-vervoort
```